---
driver:
  name: podman
platforms:
  - name: instance
    image: ubuntu:20.04
    pre_build_image: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    privileged: true
provisioner:
  name: ansible
  env:
    USER_PASSWORD_TESTUSER: "123abcdef"
    USER_PASSWORD_SALT: "12345678"
  inventory:
    host_vars:
      instance:
        login_users:
          - username: testuser
            comment: Test User
            enabled: true
            sudoer: true
            pubkey: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQDZ6
  playbooks:
    converge: converge.yml
    prepare: prepare.yml
verifier:
  name: ansible
